import Component  from '../component.js'

export default class MatCardHeader extends Component {
    constructor(parent) {
      let selector = 'mat-card-header';
      super(parent, selector);
      // https://github.com/angular/components/blob/master/src/material/card/card-header.html
    }
    get matCardAvatar() {
      let path = '//*[self::*[@matCardAvatar] or self::*[@mat-card-avatar]]';
      return this.currentPath + path;
    }
    get headerText() {
      let path = '//div[contains(@class, "mat-card-header-text")]';
      return this.currentPath + path;
    }
    get titleOrSubtitle() {
      let path = '//*[self::mat-card-title or self::mat-card-subtitle or self::*[@mat-card-title] or self::*[@mat-card-subtitle] or self::*[@matCardTitle] or self::*[@matCardSubtitle]]';
      return this.headerText + path;
    }

}

